section "General options"
#########################

option "mode" o
#~~~~~~~~~~~~~~
"how to fade volume"
	enum typestr = "mode"
	values = "sleep", "snooze", "fade"
	default = "sleep"
	optional
	details="
		para_fade knows three different fading modes:

		sleep mode: Change to the initial volume and select
		the initial afs mood/playlist. Then fade out until
		the fade-out volume is reached. Switch to the
		sleep mood/playlist until wake time minus fade-in
		time. Finally switch to the wake mood/playlist and
		fade to the fade-in volume.

		fade: Fade the volume to the given value in the
		given time.

		snooze: Fade out, sleep a bit and fade in.
"

option "config-file" c
#~~~~~~~~~~~~~~~~~~~~~
"(default='~/.paraslash/fade.conf')"
	string typestr = "filename"
	optional

option "mixer-device" m
#~~~~~~~~~~~~~~~~~~~~~~
"mixer device file"
	string typestr = "device"
	default = "/dev/mixer"
	optional

option "mixer-channel" C
#~~~~~~~~~~~~~~~~~~~~~~~
"select the analog mixer channel"
	enum typestr = "channel"
	values = "volume", "bass", "treble", "synth", "pcm", "speaker", "line",
		"mic", "cd", "imix", "altpcm", "reclev", "igain", "ogain"
	default = "volume"
	optional
	details = "
		Not all listed channels might be supported on any
		particular hardware.
"

section "Options for sleep mode"
################################

option "ivol" -
#~~~~~~~~~~~~~~
"set initial volume"
	int typestr = "volume"
	default = "60"
	optional
	details = "
		Used as the start volume, before fading out to the
		fade out volume.
	"

option "fo-mood" -
#~~~~~~~~~~~~~~~~~
"afs mood/playlist during fade out"
	string typestr = "mood_spec"
	default = "m/fade"
	optional
	details = "
		Select this mood right after setting the
		volume. Example: --fo-mood m/sleep
"

option "fo-time" -
#~~~~~~~~~~~~~~~~~
"fall asleep fade out time"
	int typestr = "seconds"
	default = "1800"
	optional
	details = "
		No fading if set to 0.
	"

option "fo-vol" -
#~~~~~~~~~~~~~~~~
"volume to fade out to"
	int typestr = "volume"
	default = "20"
	optional

option "sleep-mood" -
#~~~~~~~~~~~~~~~~~~~~
"sleep time afs mood/playlist"
	string typestr = "mood_spec"
	default = "m/sleep"
	optional
	details = "
		Select the given afs mood/playlist after the fade
		out is complete. If unset, the \"stop\" command is
		sent to para_server.
	"

option "wake-hour" H
#~~~~~~~~~~~~~~~~~~~
"(0-23) (default: now + 9 hours)"
	int typestr = "hour"
	optional

option "wake-min" M
#~~~~~~~~~~~~~~~~~~
"(0-59)"
	int typestr = "minutes"
	default = "0"
	optional

option "fi-mood" -
#~~~~~~~~~~~~~~~~~
"afs mood/playlist during fade in"
	string typestr = "mood_spec"
	default = "m/wake"
	optional
	details = "
		Change to this afs mood/playlist on wake time.
	"

option "fi-time" -
#~~~~~~~~~~~~~~~~~
"wake up fade in time"
	int typestr="seconds"
	default="1200"
	optional
 	details = "
		No fading in if set to 0.
	"

option "fi-vol" -
#~~~~~~~~~~~~~~~~
"volume to fade to at wake time"
	int typestr = "volume"
	default = "80"
	optional

section "Options for snooze mode"
#################################

option "so-time" -
#~~~~~~~~~~~~~~~~~
"snooze-out time"
	int typestr = "seconds"
	default = "30"
	optional

option "so-vol" -
#~~~~~~~~~~~~~~~~
"volume to fade to before snooze"
	int typestr = "volume"
	default = "20"
	optional

option "snooze-time" -
#~~~~~~~~~~~~~~~~~~~~~
"delay"
	int typestr = "seconds"
	default = "600"
	optional

option "si-time" -
#~~~~~~~~~~~~~~~~~
"snooze-in time"
	int typestr = "seconds"
	default = "180"
	optional

option "si-vol" -
#~~~~~~~~~~~~~~~~
"volume to fade to after snooze"
	int typestr = "volume"
	default = "80"
	optional

section "Options for fade mode"
###############################

option "fade-vol" f
#~~~~~~~~~~~~~~~~~~
"volume to fade to"
	int typestr = "volume"
	default = "50"
	optional

option "fade-time" t
#~~~~~~~~~~~~~~~~~~~
"fading time"
	int typestr = "seconds"
	default = "5"
	optional
